
QGIS Application - Bug report #3315

editing the attribute table POSTGIS in QGis via VPN

2010-12-09 10:32 PM - jcnotter -

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13375

Description

When editing the attribute table  POSTGIS in QGis via VPN, in the POSTGRES logs :

Dec 6 10:36:05 bdd postgresr18859: [284-1] 2010-12-06 10:36:05 UTC LOG: duration: 0.317 ms statement: declare qgisfid0 binary

cursor for select

"gid","N_"::text,"N+DE_L_OB"::text,"DONN+ES_P"::text,"PNRUN_AUTR"::text,"NOM_D_COUV"::text,"NOM_S+OBS"::text,"DATE_D_OBS"::text,"DATE_IMPR_"::text,"HEURE_D_OB"::text,"UTMX"::text,"UTMY"::text,"COMMUNE"::text,"LIEU_DIT"::text,"N+SUR_LA_"::text,"SOLEIL+NU"::text,

BS"::text,"DATE_IMPR_"::text,"HEURE_D_OB"::text,"UTMX"::text,"UTMY"::text,"COMMUNE"::text,"LIEU_DIT"::text,"N+SUR_LA_"::text,"SOLEIL+NU"::text,"MILIEU"::text,"ESP_CE"::text,"ADULTE_M_L"::text,"ADULTE_FEM"::text,"JUV_NILE"::text,"SEXE+_GE_"::text,"REMARQUES_"::text,"R_DACTEUR_"::text,"VALIDEUR_S"::text,"VALIDEUR_2"::text from "public"."phelbor" where "gid"=35 Dec 6 10:36:05 bdd postgr

"SOLEIL+NU"::text,"MILIEU"::text,"ESP_CE"::text,"ADULTE_M_L"::text,"ADULTE_FEM"::text,"JUV_NILE"::text,"SEXE+_GE_"::text,"REMARQUES_"::text,"R_DACTEUR_"::text,"VALIDEUR_S"::text,"VALIDEUR_2"::text from "public"."phelbor" where "gid"=35 Dec 6 10:36:05 bdd postgresr18859: [285-1] 2010-12-06 10:36:05 UTC LOG: duration: 0.099 ms statement: fetch forward 1 from qgisfid0 Dec 6 10:36:05 bdd postgresr18859: [286-1] 2010-12-06 10:36:05 UTC LOG: duration: 0.027 ms statement: CLOSE qgisfid0 Dec 6 10:36:05 bdd postgre

ARQUES_"::text,"R_DACTEUR_"::text,"VALIDEUR_S"::text,"VALIDEUR_2"::text from "public"."phelbor" where "gid"=35 Dec 6 10:36:05

bdd postgresr18859: [285-1] 2010-12-06 10:36:05 UTC LOG: duration: 0.099 ms statement: fetch forward 1 from qgisfid0 Dec 6 10:36:05

bdd postgresr18859: [286-1] 2010-12-06 10:36:05 UTC LOG: duration: 0.027 ms statement: CLOSE qgisfid0 Dec 6 10:36:05 bdd

postgresr18859: [287-1] 2010-12-06 10:36:05 UTC LOG: duration: 0.026 ms statement: COMMIT

This represents a transaction and there is one for each line. That is very slow !.

=> If you add up all the times, we get 0491 ms for this, ie, it calculates two lines in one second

=> If the file has 120 lines ... it will take 1 min and 1200 lines for 10 minutes …

it's too long

(If I use pgAdmin, it works well)

I think it's too difficult to work with QGis in this case

Thank you...

Related issues:

Duplicated by QGIS Application - Bug report # 4909: qgis hang when postgres c... Closed 2012-01-29

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-01-31 03:41 PM - Jürgen Fischer

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No

- Crashes QGIS or corrupts data set to No

- Assignee deleted (nobody -)

- Status changed from Open to Closed
- Resolution set to fixed
